#include "break.hh"
#include <string.h>
#include <stdlib.h>

#include <strstream.h>


void
Break::parse(char const *s)
{
    char *q=strdup(s);
    istrstream ss(q, strlen(q));

    char c;
    ss >> after_;
    ss >>c;
    ss>>max_;
    ss>>c;
    ss>>duration_;
    if (after_ < 0 || max_ < 0 ||max_ < after_){
	cerr << "Break::parse(): illegal parameters"<<endl;
	exit(1);
    }
    free(q);
}


void
Break::parseMacro(const char *s)
{
    parse(s);
    duration_ *= 60*1000;
}

void 
Break::parseMicro(const char *s)
{
    
    parse(s);
    duration_ *= 1000;
}

