#include "breakmeter.h"
#include "xtypewatch.h"


void 
BreakMeter::checkevent()
{
    float  s =recorder_->getsofar(break_);
    if (s > total_){
	parent_->forcePause(break_);
	s =recorder_->getsofar(break_);
    }
    tryWarn(s);
    drawLevel(s);
}

BreakMeter::BreakMeter(XTypeWatch *parent, Break &br, int x, int y, int width,
		       int height)
    : DangerMeter(parent, x,y,width, height, "break", "after/max/ok") 
{
    break_ = &br;
    recorder_=parent->recorder_;
}

void BreakMeter::checkResources( void )
{
    DangerMeter::checkResources();

    danger_ = break_->after_;
    total_ =  break_->max_;   	
}

